from django.db import models

# Create your models here.




class sensormovil(models.Model):
    idsensor = models.CharField(max_length=5, null=False, unique=False, verbose_name='Tarjeta Sensor')
    temps1 = models.FloatField(null=True, blank=True, verbose_name='Temperatura 1')
    temps2 = models.FloatField(null=True, blank=True, verbose_name='Temperatura 2')    
    temps3 = models.FloatField(null=True, blank=True, verbose_name='Temperatura 3')
    temps4 = models.FloatField(null=True, blank=True, verbose_name='Temperatura 4')
    temps5 = models.FloatField(null=True, blank=True, verbose_name='Temperatura 5')
    temps6 = models.FloatField(null=True, blank=True, verbose_name='Temperatura 6')
    temps7 = models.FloatField(null=True, blank=True, verbose_name='Temperatura 7')
    temps8 = models.FloatField(null=True, blank=True, verbose_name='Temperatura 8')
    temps9 = models.FloatField(null=True, blank=True, verbose_name='Temperatura 9')

    def __str__(self):
            return self.idsensor
        
    class Meta:
            verbose_name = 'Sensor Movil'
            verbose_name_plural = 'Sensor Movil'
            ordering = ['idsensor']